import i18n from "i18next";
import { useTranslation, initReactI18next } from "react-i18next";
import FirstSection_home_EN from "./en/home/firstSection.json";
import FirstSection_home_VI from "./vi/home/firstSection.json";
import AboutSection_home_EN from "./en/home/aboutSection.json";
import AboutSection_home_VI from "./vi/home/aboutSection.json";
import RoadMap_home_EN from "./en/home/roadmap.json";
import RoadMap_home_VI from "./vi/home/roadmap.json";
import QnA_home_EN from "./en/home/qna.json";
import QnA_home_VI from "./vi/home/qna.json";
import FirstSection_healthCare_EN from "./en/healthCare/firstSection.json";
import ProblemsSection_healthCare_EN from "./en/healthCare/problemsSection.json";
import FirstSection_healthCare_VI from "./vi/healthCare/firstSection.json";
import ProblemsSection_healthCare_VI from "./vi/healthCare/problemsSection.json";
import CustomerInsight_healthCare_EN from "./en/healthCare/customerInsight.json";
import CustomerInsight_healthCare_VI from "./vi/healthCare/customerInsight.json";
import ApproachSection_healthCare_EN from "./en/healthCare/approachSection.json";
import ApproachSection_healthCare_VI from "./vi/healthCare/approachSection.json";
import SolutionsOfProduct_healthCare_EN from "./en/healthCare/solutionsOfProduct​.json";
import SolutionsOfProduct_healthCare_VI from "./vi/healthCare/solutionsOfProduct​.json";

export const locales = {
  en: "English",
  vi: "Việt Nam",
};
export const resources = {
  en: {
    firstSectionHome: FirstSection_home_EN,
    aboutSectionHome: AboutSection_home_EN,
    roadmapHome: RoadMap_home_EN,
    qnaHome: QnA_home_EN,
    firstSectionHealthCare: FirstSection_healthCare_EN,
    problemsSectionHealthCare: ProblemsSection_healthCare_EN,
    customerInsightHealthCare: CustomerInsight_healthCare_EN,
    approachSectionHealthCare: ApproachSection_healthCare_EN,
    solutionsOfProductHealthCare: SolutionsOfProduct_healthCare_EN,
  },
  vi: {
    firstSectionHome: FirstSection_home_VI,
    aboutSectionHome: AboutSection_home_VI,
    roadmapHome: RoadMap_home_VI,
    qnaHome: QnA_home_VI,
    firstSectionHealthCare: FirstSection_healthCare_VI,
    problemsSectionHealthCare: ProblemsSection_healthCare_VI,
    customerInsightHealthCare: CustomerInsight_healthCare_VI,
    approachSectionHealthCare: ApproachSection_healthCare_VI,
    solutionsOfProductHealthCare: SolutionsOfProduct_healthCare_VI,
  },
};
i18n.use(initReactI18next).init({
  resources,
  lng: "en",
  fallbackLng: "en",
  interpolation: {
    escapeValue: false, // react already safes from xss
  },
});
